cmake_minimum_required(VERSION 3.5)
project(Example_Cpp_I3C_BASIC_API)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)

include(${CMAKE_CURRENT_LIST_DIR}/../../../../cmake/ExampleCommon.cmake)

cosmic_add_cpp_example(example_cpp_static example.cpp TRUE)
cosmic_add_cpp_example(example_cpp_dynamic example.cpp FALSE)
